cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefania Alborghetti <stefania.alborghe...@datastax.com>
Subject Re: Python Upgrade to 2.7
Date Thu, 22 Dec 2016 02:50:28 GMT
Python is missing the zlib module.

The solution to this problem depends on whether you've compiled Python from
source, or are using a distribution package.

Googling the error "can't decompress data; zlib not available" should
provide an answer on how to solve this. If not, send us more details on
your Python installation.

On Thu, Dec 22, 2016 at 6:51 AM, Jacob Shadix <jacobshadix@gmail.com> wrote:

> I am running Cassandra 2.1.14. Upgraded to Python 2.7 from 2.6.6 and
> getting the following error with CQLSH.
> ---
>
> Python Cassandra driver not installed, or not on PYTHONPATH.
>
> You might try "pip install cassandra-driver".
>
> Python: /opt/isv/python27/bin/python
>
> Error: can't decompress data; zlib not available
>
> ---
>
> What am I missing?
> -- Jacob Shadix
>



-- 


Stefania Alborghetti

|+852 6114 9265| stefania.alborghetti@datastax.com

Mime
View raw message